Bug 657932 - INSIST with namehook magic failure
INSIST with namehook magic failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-28 14:11 EST by lav
Modified: 2013-04-30 19:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 06:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lav 2010-11-28 14:11:54 EST
Description of problem:
after migration i686 -> x86_64 I get this assertion failure (sometimes):

28-Nov-2010 18:58:49.408 general: critical: adb.c:950: INSIST((((namehook) != ((void *)0)) && (((const isc__magic_t *)(namehook))->magic == ((('a') << 24 | ('d') << 16 | ('N') << 8 | ('H')))))) failed, back trace
28-Nov-2010 18:58:49.412 general: critical: #0 0x7ff14f146bdf in ??
28-Nov-2010 18:58:49.412 general: critical: #1 0x7ff14db2e69a in ??
28-Nov-2010 18:58:49.412 general: critical: #2 0x7ff14e9996c7 in ??
28-Nov-2010 18:58:49.412 general: critical: #3 0x7ff14e99a21c in ??
28-Nov-2010 18:58:49.412 general: critical: #4 0x7ff14e99fbe6 in ??
28-Nov-2010 18:58:49.412 general: critical: #5 0x7ff14ea421cd in ??
28-Nov-2010 18:58:49.412 general: critical: #6 0x7ff14ea42c39 in ??
28-Nov-2010 18:58:49.412 general: critical: #7 0x7ff14ea450a8 in ??
28-Nov-2010 18:58:49.412 general: critical: #8 0x7ff14ea4cc11 in ??
28-Nov-2010 18:58:49.412 general: critical: #9 0x7ff14db4ce68 in ??
28-Nov-2010 18:58:49.412 general: critical: #10 0x7ff14d707761 in ??
28-Nov-2010 18:58:49.412 general: critical: #11 0x7ff14cc774fd in ??
28-Nov-2010 18:58:49.412 general: critical: exiting (due to assertion failure)


Version-Release number of selected component (if applicable):
bind-9.7.1-2.P2.fc13.x86_64

How reproducible:
random, rare

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Tkac 2011-02-18 09:06:31 EST
Can you check if this issue is still present with the latest bind-9.7.2-1.P3.fc13, please? Thank you in advance.
Comment 2 Bug Zapper 2011-05-30 09:21:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 06:20:28 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.